OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
OpenMMException Class Reference

This class is used for all exceptions thrown by OpenMM. More...

Inherits _object.

## Public Member Functions
def | __del__
| del(OpenMM::OpenMMException self) More...
def | what
| what(OpenMMException self) -> char const * More...
def | __init__
| init(OpenMM::OpenMMException self, std::string const & message) -> OpenMMException init(OpenMM::OpenMMException self, OpenMMException other) -> OpenMMException More...

## Public Attributes
| this

## Detailed Description

This class is used for all exceptions thrown by OpenMM.

## Constructor & Destructor Documentation

def __del__ | ( |  | self | ) |

del(OpenMM::OpenMMException self)

References simtk.openmm.openmm.stripUnits().

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::OpenMMException self, std::string const & message) -> OpenMMException init(OpenMM::OpenMMException self, OpenMMException other) -> OpenMMException

This class is used for all exceptions thrown by OpenMM.

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def what | ( |  | self,
|  |  | args
| ) |  |

what(OpenMMException self) -> char const *

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py